Calling a ticket
curl --request POST \
--url https://api.qminder.com/v1/tickets/{id}/call \
--header 'X-Qminder-REST-API-Key: <api-key>'import requests
url = "https://api.qminder.com/v1/tickets/{id}/call"
headers = {"X-Qminder-REST-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Qminder-REST-API-Key': '<api-key>'}};
fetch('https://api.qminder.com/v1/tickets/{id}/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"statusCode\": 200,\n \"id\": \"51999102\",\n \"status\": \"CALLED\",\n \"source\": \"MANUAL\",\n \"line\": 88100,\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"orderAfter\": \"2017-05-17T14:01:35.736Z\",\n \"created\": {\n \"date\": \"2021-09-13T13:49:54.735Z\"\n },\n \"labels\": [\n {\n \"value\": \"VIP\",\n \"color\": \"FF00FF\"\n }\n ],\n \"extra\": [\n {\n \"title\": \"Notes\",\n \"value\": \"assistance required\"\n }\n ],\n \"called\": {\n \"date\": \"2021-09-22T08:11:18.572Z\",\n \"caller\": 15144\n },\n \"assigned\": {\n \"assigner\": 15100,\n \"assignee\": 15144\n }\n}"Tickets
Calling a ticket
POST
/
v1
/
tickets
/
{id}
/
call
Calling a ticket
Authorizations
Path Parameters
ID of the ticket to call
Query Parameters
Optional. The desk where the ticket will be called.
Optional. The user who is calling the ticket.
Response
200 - application/json
200
Example:
200
Example:
"51999102"
Example:
"CALLED"
Example:
"MANUAL"
Example:
88100
Example:
"Jane"
Example:
"Doe"
Example:
"2017-05-17T14:01:35.736Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I